| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_stat_tap_table_item_type Struct Reference

Represents a single item in a statistics tap table. More...

`#include <stat_tap_ui.h>`

## Public Attributes
stat_tap_table_item_enum | type
union { |
unsigned uint_value |
int int_value |
const char * string_value |
double float_value |
int enum_value |
} | value |
| The primary value of the item.
union { |
unsigned uint_value |
int int_value |
const char * string_value |
double float_value |
int enum_value |
void * ptr_value |
} | user_data |
| Scratch space for dissector use.

## Detailed Description

Represents a single item in a statistics tap table.

This structure holds a typed value used in statistical reporting, such as counters, labels, or computed metrics. It also includes a scratchpad area (`user_data`) for dissector-specific temporary storage or extended metadata.

## Member Data Documentation

## ◆ enum_value

int _stat_tap_table_item_type::enum_value

Enumerated value.

Enumerated scratch value.

## ◆ float_value

double _stat_tap_table_item_type::float_value

Floating-point value.

Floating-point scratch value.

## ◆ int_value

int _stat_tap_table_item_type::int_value

Signed integer value.

Signed integer scratch value.

## ◆ ptr_value

void* _stat_tap_table_item_type::ptr_value

Generic pointer for custom data.

## ◆ string_value

const char* _stat_tap_table_item_type::string_value

String value.

String scratch value.

## ◆ type

stat_tap_table_item_enum _stat_tap_table_item_type::type

Type of the item (e.g., integer, float, string).

## ◆ uint_value

unsigned _stat_tap_table_item_type::uint_value

Unsigned integer value.

Unsigned integer scratch value.

## ◆ [union]

union { ... } _stat_tap_table_item_type::user_data

Scratch space for dissector use.

This union provides temporary storage for dissectors to associate auxiliary data with the item. It can also be used to support hidden columns.

## ◆ [union]

union { ... } _stat_tap_table_item_type::value

The primary value of the item.

The actual field used depends on the `type` member.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/stat_tap_ui.h